Summary:	Passive OS fingerprinting tool
Summary(pl.UTF-8):	Narzędzie do pasywnej daktyloskopii systemów operacyjnych
Name:		p0f
Version:	3.09b
Release:	1
License:	LGPL v2.1
Group:		Networking/Utilities
# Official releases:
Source0:	http://lcamtuf.coredump.cx/p0f3/releases/%{name}-%{version}.tgz
# Source0-md5:	bc863233dc2b440cae6ef5665cae34bb
# Devel:
#Source0:	http://lcamtuf.coredump.cx/p0f/%{name}-devel.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
URL:		http://lcamtuf.coredump.cx/p0f3/
BuildRequires:	libpcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(p0f)
Provides:	user(p0f)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
p0f performs passive OS fingerprinting technique based on information
coming from remote host when it establishes connection to our system.
Captured packets contains enough information to determine OS - and,
unlike active scanners (nmap, queSO) - it is done without sending
anything to this host.

%description -l pl.UTF-8
p0f przeprowadza pasywną daktyloskopię systemu operacyjnego bazując na
informacjach, które wysyła zdalny system kiedy ustanawia połączenie z
naszym. Wyłapane pakiety zawierają wystarczająco dużo informacji by
określić system operacyjny - i, w przeciwieństwie do aktywnych
skanerów (nmap, queSO) - jest to robione bez wysyłania czegokolwiek do
tego hosta.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DFP_FILE=\"/usr/share/p0f/p0f.fp\"" \
	LDFLAGS="%{rpmldflags}"

%{__make} -C tools \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig,/etc/logrotate.d,%{_sbindir},%{_datadir}/p0f}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/p0f
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/p0f
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/p0f
install p0f tools/p0f-{client,sendsyn,sendsyn6} $RPM_BUILD_ROOT%{_sbindir}
install p0f.fp $RPM_BUILD_ROOT%{_datadir}/p0f

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 164 p0f
%useradd -u 164 -c "p0f user" -g p0f p0f

%post
if [ ! -f /var/log/p0f ]; then
	touch /var/log/p0f
	chown root:root /var/log/p0f
	chmod 600 /var/log/p0f
fi
/sbin/chkconfig --add p0f
%service p0f restart "p0f daemon"

%preun
if [ "$1" = "0" ]; then
	%service p0f stop
	/sbin/chkconfig --del p0f
fi

%postun
if [ "$1" = "0" ]; then
	%userremove p0f
	%groupremove p0f
fi

%files
%defattr(644,root,root,755)
%doc docs/{ChangeLog,existential-notes.txt,extra-sigs.txt,README,TODO} tools/README-TOOLS
%attr(754,root,root) /etc/rc.d/init.d/p0f
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/p0f
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/p0f
%attr(755,root,root) %{_sbindir}/p0f*
%{_datadir}/p0f
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/p0f.git;a=log;h=master

* Sun Sep 30 2018 Adam Gołębiowski <adamg@pld-linux.org> e4a355c
- updated to 3.09b

* Fri Jan 09 2015 Łukasz Kieś <kiesiu@pld-linux.org> 96df1c5
- updated to 3.08b

* Sun Jun 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3688aa0
- up to 3.07b

* Wed Oct 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> fae5b5a
- updated to 3.06b

* Mon May 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> 259c0be
- updated to 3.05b

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 66e8306
- up to 3.03b

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> 5f84891
- release 1 (works for me)

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> c80b822
- pass socket name as -s

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> 9972049
- p0f-DESTDIR patch no longer needed

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> 3f2a5b2
- no longer needed

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> 613c578
- filter rule has to be at the end of command line params

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> cdc459a
- updated to 3.01b

* Wed Jan 18 2012 Adam Gołębiowski <adamg@pld-linux.org> f2efb89
- removed no longer available options

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 6d3d7ec
- fixed Group

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 926f3ef
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d95b757
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5435d31
- converted to UTF-8

* Tue Sep 26 2006 Elan Ruusamäe <glen@pld-linux.org> 956e485
- use /sbin/service

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 467ea4d
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

* Wed Sep 06 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> c076005
- updated to 2.0.8

